/************************************************************************/
/*																		*/
/*	SWT.h	--	Declaration for SWT library 	  			  			*/
/*																		*/
/************************************************************************/
/*	Author:		Eric Marsh												*/
/*	Copyright 2016, Digilent Inc.										*/
/************************************************************************/
/*  File Description:													*/
/*	This file declares the PmodSWT library functions and the constants	*/
/*	involved.															*/
/*																		*/
/************************************************************************/
/*  Revision History:													*/
/*																		*/
/*	07/21/2016(EricM): created											*/
/*																		*/
/************************************************************************/
#if !defined(SWT_H)
#define SWT_H

/* ------------------------------------------------------------ */
/*					Procedure Declarations						*/
/* ------------------------------------------------------------ */


class SWT {

	private: 
		int SWT1;
		int SWT2;
		int SWT3;
		int SWT4;
		
	public:
		SWT();
		void begin(int SW1, int SW2, int SW3, int SW4);
		int GetSwitchPin(int SW);
		bool GetStatus(int SW);
		bool AllOn();
		bool AllOff();
};

#endif
